Subject: Re: G++ and ISO C++ conformity?
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 06 Sep 2000 16:38:24 +0330 (GMT+03:30)

I might not be the right person to comment on this.

 First of all I don't know if I understand your
terminology. g++ could eather be the C++ compiler.
Or the libg++ library. libg++ is an old library and
is not used anymore. When you compile C++ programs
with g++/gcc today you use libstdc++. And neather
g++/gcc or the libstd++ is up to date. v3 of both is
in development. Don't know the state at the moment.
I guess maybe one of the g++/gcc maintainers could
comment on it. libstdc++ is not realy a part of
g++/gcc. It is developed in another team.

 /Jens

>Hi,
>
>I have recently downloaded the latest Cygwin archive
>to start a project in C++. I have read Bjarne Stroustrup's
>"The C++ Programming Language" (Special Ed.) and was surprised
>to find several includes and functions missing in the g++
>distribution.
>
>Header files that could not be found:
>     <limits>   e.g. numeric_limits<int>::max();
>        <sstream>  e.g. ostringstream ost;
>
>Furthermore the "range controlled" indexing via at()
>would not work.
>
>Can it be that G++ does not completely support ISO C++?
>Or did I forget to install something?
>Is an update planned, if indeed some features of ISO C++
>are indeed missing in g++?
>
>I used the Setup.exe and did a complete Install via
>Internet.
>
>Thanks for your time...
>
>Regards,
>     AEon

--
Want to unsubscribe from this list?
Send a message to [email-masked]